<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tasks App</title>
    <!-- BOOTSTRAP 4 -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootswatch/4.3.1/lux/bootstrap.min.css">
</head>
<body>
    <main class="container p-4">
        <h1 class="display-4 text-center title mt-4">Tasks App</h1>
        <div class="row">

            <div class="col-md-4 offset-md-4 my-auto">

                <div class="card">
                    <div class="card-header">

                        <form action="/create-task" method="POST">
                            <div class="form-group">
                                <input type="text" name="content" placeholder="Task" class="form-control" autofocus>
                            </div>
                            <button type="submit" class="btn btn-primary btn-block">Save</button>
                        </form>
                    </div>
                    <div class="card-body">


                        <ul class="list-group">
                            {% for task in tasks %}
                            <li class="list-group-item">
                                <span class="{% if task.done %} done {% endif %}">{{task.content}}</span> <a
                                    href="/done/{{task.id}}" class="btn btn-success btn-sm">Done</a>
                                <a href="{{url_for('delete', id=task.id)}}" class="btn btn-danger btn-sm">Delete</a>
                            </li>
                            {% endfor %}
                        </ul>
                    </div>

                </div>
            </div>
        </div>
    </main>
</body>
</html>
